Package org.h2.expression.analysis

# Enum Class WindowFrameUnits

java.lang.Object
java.lang.Enum<WindowFrameUnits>
org.h2.expression.analysis.WindowFrameUnits

All Implemented Interfaces:
  `Serializable`, `Comparable<WindowFrameUnits>`, `Constable`

public enum WindowFrameUnits extends Enum<WindowFrameUnits>
Window frame units.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GROUPS`
GROUPS unit.
`RANGE`
RANGE unit.
`ROWS`
ROWS unit.

## Method Summary

Modifier and Type
Method
Description
`String`
`getSQL()`
Returns SQL representation.
`static WindowFrameUnits`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WindowFrameUnits[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ROWS

public static final WindowFrameUnits ROWS
ROWS unit.

### RANGE

public static final WindowFrameUnits RANGE
RANGE unit.

### GROUPS

public static final WindowFrameUnits GROUPS
GROUPS unit.

## Method Details

### values

public static WindowFrameUnits[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static WindowFrameUnits valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getSQL

public String getSQL()
Returns SQL representation.

Returns:
  SQL representation.
See Also:
  - `Expression.getSQL(int)`